Subject: Re: [Gen-art] Review: draft-bbf-bbf-urn-02

From: Joel Halpern <[email-masked]>
Date: Wed, 23 Nov 2016 19:24:46 -0500

The new version addresses my concerns and is ready for publication as an 
informational RFC.

Yours,
Joel M. Halpern

On 10/14/16 4:51 PM, Joel M. Halpern wrote:
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
>
> For more information, please see the FAQ at
>
> <http://wiki.tools.ietf.org/area/gen/trac/wiki/GenArtfaq>.
>
> Document: draft-bbf-bbf-urn-02
>     Uniform Resource Name (URN) Namespaces for Broadband Forum
> Reviewer: Joel M. Halpern
> Review Date: 14-October-2016
> IETF LC End Date: 4-November-2016
> IESG Telechat date: N/A
>
> Summary: This document is almost ready for publication as an
> Informational RFC.
>
> Major issues:
>     RFC 3406 states that the namespace considerations section should
> indicate why a new namespace is needed.  While this is pretty obvious,
> the text does not actually say anything in that section to explain it.
>     In particular, I would expect that section to explain why 3 NIDs are
> needed rather than just 1.
>
>
> Minor issues:
>     The template in RFC 3406 indicates the the section in each NID on
> the Process of identifier assignment should "detail the mechanism and or
> authorities for assigning URNs to resources."  The draft simply says
> that the BBF will provide procedures.  Do those procedures exist?  If
> not, there seems to be a minor problem.  If they do exist, it would seem
> sensible to include a pointer to the place where the BBF publicly
> documents those procedures, so that people using this information who
> might want to register something can understand what the rules and
> expectations are. (I realize that the RFC 6289 example this is based on
> did not include such a pointer, which is why I am making this a minor
> comment instead of a major one.)
>
> Nits/editorial comments:
>
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art
>